! Calculeaza:
! Functii: f(u); g(u,u'); p(t);
! Jacobieni: jf = df/du; jg = dg/du; jg1 =dg/du1;
! Derivata: dp;
!
! Pt. ec. liniara: ngl =1.

subroutine fgp_j(t, uu, v)
use work

implicit real(8) (a-h, o-z)
real(8) uu(ngl), v(ngl)


zeta =e

omega =pi2
k =pi2*pi2
p0 =0

c =2*zeta*omega
oma =omega*dsqrt(dabs(1-zeta*zeta))

omp =0

x =uu(1)

! f(u):
f(1) =k*x


! Jacobianul lui f:
jf(1,1) =k

! g(u,u'):
x1 =v(1);
g(1) = c*x1

! Jacobianul Dg/Du:
jg(1,1) =0.

! Jacobianul Dg/Du':
jg1(1,1) =c


! p(t):
p(1) = 0

! P derivat:
dp(1) = 0

END subroutine FGP_J
